# Activity 4: Commit Messages

## Roles

- Manager:
- Recorder:
- Reflector & Spokesperson:

## Model

Chris Beams' [How to Write a Git Commit Message](https://chris.beams.io/posts/git-commit/): https://chris.beams.io/posts/git-commit/

## Instructions

1. Read the ***introduction***
2. Read the list of "The seven rules of a great Git commit message"
3. Review the example template of a commit message (just below the 7 rules).

## Questions

1. Which rule or rules does the following commit message violate:
	```
	I moved foo() and bar() from class A to B

	After I moved these methods, I reran the tests. All
	tests passed. So we're good.
	```

2. Rewrite the commit message above. You may make any assumption about the context.


3. What is the goal of a commit message?


4. Browes through the commit messages of the repositories linked to in the article.
   Find an example of a good commit message (with a body), and a bad commit message
   (with or without a body).


---
Copyright © 2019 Stoney Jackson. This work
is licensed under a Creative Commons Attribution-ShareAlike 4.0
International License.
